Subject: Re: bug#79145: 31.0.50; doc-view-mode with auto-revert-mode emitting message when it shouldn't

From: "Tassilo Horn" <[email-masked]>
Date: Thu, 07 Aug 2025 21:20:07 +0200

Am Do, 7. Aug 2025, um 20:55, schrieb Eli Zaretskii:
>
> But it was you yourself who claimed that the problem is more general
> than just the above.  Did you now change your mind?  Or what did I
> miss?

Jake's clarification in which he told that especially the advertisement of the doc-view specific key-binding is the actual problem which makes it much worse than the dired example I came up with.

>> If we'd really like to have an option which says "don't bother me with
>> messages relating to buffers which are not current (or visible)", then
>> auto-revert is just one out of several possible causes.  Timers are
>> another one, e.g., messages from Gnus fetching mail.  Or modes doing
>> asynchronous communication.  And then one probably wants to be able to
>> define that certain messages are fine although the corresponding buffer
>> isn't current/visible ("You have 3 new mails", "The compilation of foo
>> has finished") but others not...
>
> So now you are saying that even solving this for all auto-revert
> clients is not general enough?

It looks to me like complexity which only solves half of a problem which was my initial interpretation of the bug report but not what the reporter had in mind. I would not enable such an option if it existed, so I suggest we just ignore my "accidental feature request" and I'll only fix specifically what Jake complained about.

Bye,
Tassilo